<template>
  <el-row class="inputsGroup" :gutter="20" align="middle" v-for="(item, index) in this.personForm.risks" v-bind:key="item">

    <el-col :span="12">
      <el-form-item label="Уровень риска" prop="">
        <el-select v-model="item.risk_lvl_id" placeholder="Уровень риска">
          <el-option
              v-for="item in this.dictionaries.risk_lvl"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата установления риска" prop="">
        <el-date-picker
            v-model="item.date"
            type="date"
            placeholder="Дата установления риска"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Комментарий" prop="">
        <el-input v-model="item.comment"/>
      </el-form-item>
    </el-col>
    <el-col :span="2">
      <el-button type="info" class="bigButton" v-if="index !== 0" @click="removeItem(index)"><img src="@/assets/person-form/trash.svg" class="icon-image" alt=""></el-button>
    </el-col>

  </el-row>
  <el-button class="addItemButton" type="info" @click="addItem()"><img src="@/assets/person-form/plus.svg" class="icon-image" alt=""> Добавить риск</el-button>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    },
    removeItem(index){
      this.personForm.risks.splice(index, 1);
    },
    addItem(){
      this.personForm.risks.push({
        risk_lvl_id: '',
        date: '',
        comment: ''
      });
    },
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>